Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1971747 - "Registered Content Hosts" Report is Showing the Wrong Available Kernel Version for RHEL 7.7 Client
Summary: "Registered Content Hosts" Report is Showing the Wrong Available Kernel Versi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.12.0
Assignee: Ian Ballou
QA Contact: Shweta Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-14 17:21 UTC by myoder
Modified: 2022-11-16 13:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-16 13:32:43 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 35040 0 Normal Closed "Registered Content Hosts" Report is Showing the Wrong Available Kernel Version for RHEL 7.7 Client 2022-06-13 20:22:24 UTC
Red Hat Issue Tracker SAT-8063 0 None None None 2022-10-06 08:11:26 UTC
Red Hat Product Errata RHSA-2022:8506 0 None None None 2022-11-16 13:32:52 UTC

Description myoder 2021-06-14 17:21:49 UTC
Description of problem:

The "Host - Registered Content Hosts" is not showing the correct latest kernel available.  Host is on 7.7 and currently using kernel 3.10.0-1062.18.1.el7.  The host has access to kernel 3.10.0-1062.49.1.el7, yet the "Registered Content Hosts" report is showing the latest available kernel to be 3.10.0-1062.40.1.el7.

From the command line with yum, the host is showing it has access to 3.10.0-1062.49.1.el7 kernel.

Also, from the Satellite UI, navigating to the content host and selecting the Errata tab, the latest errata for the kernel that this host has access to, also shows 3.10.0-1062.49.1.el7.  


Version-Release number of selected component (if applicable):
Red Hat Satellite 6.8
Red Hat Enterprise Linux Server 7.7 with EUS 

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
Report shows 1062.40.1.el7 as latest kernel.

Expected results:
Report shows 1062.49.1.el7 as the latest kernel.

Additional info:

Comment 1 Marek Hulan 2021-06-17 10:21:39 UTC
The report information is based on Satellite DB, more specifically we look at applicable RPMs with the name "kernel", order it by version and pick one. There could be 2 causes, either Satellite DB does not have the newest package availability information or more version are available and we report the wrong one. Could you please ask customer to perform the following

foreman-rake console
puts Host.find_by_name('$fqdn').applicable_rpms.where(name: 'kernel').order(:version_sortable).map(&:nvra)
exit

Please substitute $fqdn with the FQDN of the host that is affected. My assumption is we'll see the list in a wrong order (the first one of the list is used in the report). If that's the case, it's a bug in the ordering.

Comment 2 myoder 2021-06-24 22:21:54 UTC
Hi Marek,

Thanks for the quick response.  Your assumption was correct.  Here is the output from that command:

[root@satellite ~]# foreman-rake console
Loading production environment (Rails 6.0.3.4)
irb(main):001:0> puts Host.find_by_name('host.example.com').applicable_rpms.where(name: 'kernel').order(:version_sortable).map(&:nvra)
kernel-3.10.0-1062.40.1.el7.x86_64
kernel-3.10.0-1062.37.1.el7.x86_64
kernel-3.10.0-1062.49.1.el7.x86_64
kernel-3.10.0-1062.46.1.el7.x86_64
kernel-3.10.0-1062.30.1.el7.x86_64
kernel-3.10.0-1062.33.1.el7.x86_64
kernel-3.10.0-1062.43.1.el7.x86_64
kernel-3.10.0-1062.26.1.el7.x86_64
kernel-3.10.0-1062.31.2.el7.x86_64
kernel-3.10.0-1062.31.3.el7.x86_64
kernel-3.10.0-1062.21.1.el7.x86_64
kernel-3.10.0-1062.36.1.el7.x86_64
kernel-3.10.0-1062.45.1.el7.x86_64
=> nil


Kind regards,

Comment 3 Marek Hulan 2021-07-07 12:49:34 UTC
I'm moving this to another component, this is not specific to the reporting. The ordering by "version_sortable" does not work. Given this is done on applicable rpms, moving to Host - Content, please reassing if there's a better one.

Comment 10 Ian Ballou 2022-06-08 20:25:57 UTC
Created redmine issue https://projects.theforeman.org/issues/35040 from this bug

Comment 11 Bryan Kearney 2022-06-09 00:03:43 UTC
Upstream bug assigned to iballou

Comment 12 Bryan Kearney 2022-06-09 00:03:45 UTC
Upstream bug assigned to iballou

Comment 13 Bryan Kearney 2022-06-13 20:03:32 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35040 has been resolved.

Comment 15 Silas Pusateri 2022-10-06 13:27:52 UTC
Verified 
Version Tested: 6.12.0 snap 13

Results: The latest kernel version is correctly displayed in the UI and CLI as well as in the "Registered Content Hosts" report.

Comment 22 errata-xmlrpc 2022-11-16 13:32:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.12 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:8506


Note You need to log in before you can comment on or make changes to this bug.